//***************************************************************************
//
// CONIO32.HPP: Template for 32-bit console programs
//
// Written by:	Daniel D. Miller
//		Jason Hood
//
// Last update: 02/05/03 08:09
//		16 Dec, 2005
//
//***************************************************************************

#define UNICODE
#define WIN32_LEAN_AND_MEAN
#include <windows.h>

extern HANDLE hStdOut;
extern int redirected;

//**********************************************************
void console_init( const wchar_t* title );
void restore_console_attribs( void );
WORD get_scode( void );
int  get_window_rows( void );
int  get_window_cols( void );
void dgotoxy( int x, int y );
void dclrscr( void );
void dclreol( void );
void dnewline( void );
void dreturn( void );
void set_text_attr( WORD tFGBG );
void dputc( wchar_t outchr );
void dputnchar( wchar_t chr, unsigned char attr, int count );
void dputs( const wchar_t* outstr );

BOOL control_handler( DWORD dwCtrlType );
